Subject: Re: [PATCH] ppc32: cleanup AMCC PPC4xx eval boards to better support U-Boot

From: Matt Porter <[email-masked]>
Date: Mon, 19 Sep 2005 06:59:42 -0700

On Mon, Sep 19, 2005 at 01:02:14PM +0200, Stefan Roese wrote:
> Hi Eugene,
> 
> On Friday 16 September 2005 18:27, Eugene Surovegin wrote:
> > On Fri, Sep 16, 2005 at 01:06:16PM +0200, Stefan Roese wrote:
> > > Add U-Boot support to AMCC PPC405 eval boards (bubinga, sycamore and
> > > walnut) and cleanup PPC440 eval boards (bamboo, ebony, luan and ocotea)
> > > to better support U-Boot as bootloader.
> >
> > In general, 44x pieces look OK, but 40x aren't. Notice, that we don't
> > have any #ifdef CONFIG_UBOOT in 44x sources. Let's not add them for
> > 40x, try to replicate the same boot-wrapper approach as Matt used for
> > 44x.
> 
> OK. I'll split the patch in two (44x and 40x stuff) so we can get the 44x 
> pieces on the way.
> 
> Just to be sure: The 44x boot-wrapper approach you mention is 
> "boot/simple/pibs.c"?

Yes, there's both boot/simple/pibs.c and boot/simple/openbios.c that
were created so we could have the default firmware and u-boot use the
same kernel build.

-Matt